## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global optflags %{optflags} -flto=auto
%global build_ldflags %{build_ldflags} -flto

Name:           sakura
Version:        3.8.7
Release:        %autorelease
Summary:        Terminal emulator based on GTK and VTE

License:        GPLv2
URL:            https://launchpad.net/sakura
Source0:        https://launchpad.net/sakura/trunk/%{version}/+download/sakura-%{version}.tar.bz2
Patch0:         0001-Add-Keywords-field-to-desktop-file.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(glib-2.0) >= 2.20
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  vte291-devel
BuildRequires:  cmake desktop-file-utils gettext /usr/bin/pod2man
BuildRequires:  pcre2-devel

%description
Sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator 
with few dependencies, so you don't need a full GNOME desktop installed to 
have a decent terminal emulator.


%prep
%autosetup -p1


%build
find . -type f -name CMakeCache.txt -exec rm -rf {} \;
%cmake -DCMAKE_AR=/usr/bin/gcc-ar -DCMAKE_RANLIB=/usr/bin/gcc-ranlib \
       -DCMAKE_NM=/usr/bin/gcc-nm CMAKE_C_FLAGS="%{optflags}" -Wno-dev
%cmake_build


%install
%cmake_install
desktop-file-install \
  --delete-original \
  --remove-category=Utility \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}
# location of the docs is hardcoded, so we remove them
rm -rf %{buildroot}%{_datadir}/doc/


%check
ctest .


%files -f %{name}.lang
%doc AUTHORS README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/terminal-tango.svg
%{_mandir}/man1/%{name}.1.*


%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 23 2023 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.7-1
- update sakura to 3.8.7 fixes rhbz#2188959

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 15 2022 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.6-1
- update to 3.8.6

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Mar 31 2022 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.5-3
- disable verbose cmake output with -Wno-dev

* Thu Mar 31 2022 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.5-2
- Enable LTO optimisations - thanks to vascom

* Thu Mar 31 2022 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.5-1
- Updated to 3.8.5 fixes rhbz#2070352

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.4-1
- Update to 3.8.4 fixes rhbz#2014349

* Thu Oct 07 2021 Filipe Rosset <rosset.filipe@gmail.com> - 3.8.3-1
- Update to 3.8.3 fixes rhbz#1944896

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Aug 09 2020 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.7.1-4
- Adjust to recent cmake macro change on F-33

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 18 2020 Filipe Rosset <rosset.filipe@gmail.com> - 3.7.1-1
- Update to 3.7.1 fixes rhbz#1832482

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Aug 18 2019 Filipe Rosset <rosset.filipe@gmail.com> - 3.7.0-1
- Update to 3.7.0 fixes rhbz#1742694 (removed upstreamed patch)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 14 2019 Filipe Rosset <rosset.filipe@gmail.com> - 3.6.0-5
- add patches from debian, fixes rhbz #1641276 and rhbz #1698150

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.6.0-3
- Remove obsolete Group tag

* Sun Sep 09 2018 Filipe Rosset <rosset.filipe@gmail.com> - 3.6.0-2
- update to latest release 3.6.0 fixes rhbz #1574279

* Sun Sep 09 2018 Filipe Rosset <rosset.filipe@gmail.com> - 3.6.0-1
- update to latest release 3.6.0 fixes rhbz #1574279

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 3.5.0-4
- add BuildRequires: gcc-c++,gcc

* Tue Apr 24 2018 Filipe Rosset <rosset.filipe@gmail.com> - 3.5.0-3
- silent rpmlint

* Tue Apr 24 2018 Filipe Rosset <rosset.filipe@gmail.com> - 3.5.0-2
- upload sources

* Tue Apr 17 2018 Filipe Rosset <rosset.filipe@gmail.com> - 3.5.0-1
- update to latest release 3.5.0 fixes rhbz #1246303 #1475609 and #1409379

* Tue Apr 17 2018 Filipe Rosset <rosset.filipe@gmail.com> - 3.2.0-10
- spec cleanup

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2.0-9
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.2.0-8
- Remove BuildRoot definition

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-6
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 01 2015 Christoph Wickert <cwickert@fedoraproject.org> - 3.2.0-2
- Omit version for vte3-devel

* Wed Jul 01 2015 Christoph Wickert <cwickert@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0 (#1173077)

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 3.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Christoph Wickert <cwickert@fedoraproject.org> - 3.1.5-1
- Update to 3.1.5 (#1112288)

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 3.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 3.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 19 2013 Christoph Wickert <cwickert@fedoraproject.org> - 3.1.3-2
- Upload new source

* Wed Dec 18 2013 Christoph Wickert <cwickert@fedoraproject.org> - 3.1.3-1
- Update to 3.1.3 (#1034129)

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Christoph Wickert <cwickert@fedoraproject.org> - 3.1.0-2
- Make sure CFLAGS are applied correctly

* Tue Jun 25 2013 Christoph Wickert <cwickert@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Mon Feb 18 2013 Christoph Wickert <cwickert@fedoraproject.org> - 3.0.4-5
- Add sakura-3.0.4-honor-cflags.patch

* Mon Feb 18 2013 Christoph Wickert <cwickert@fedoraproject.org> - 3.0.4-4
- Use upsteam patch instead of hack to fix #861451
- BR /usr/bin/pod2man for manpage generation
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 3.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 29 2012 Christoph Wickert <cwickert@fedoraproject.org> - 3.0.4-2
- Build with %%{optflags} (#861451)

* Thu Sep 27 2012 Christoph Wickert <cwickert@fedoraproject.org> - 3.0.4-1
- Update to 3.0.4 (#860958)
- Build against GTK3 and VTE3
- Change website and source URL to new location at launchpad.net

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.4.2-3
- Rebuild for new libpng

* Sun Jul 31 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.2-2
- Remove reference to removed patch

* Sun Jul 31 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.2-1
- Update tp 2.4.2 Fixes #722686, so remove the patch

* Sun Jul 17 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.1-4
- Bring back the cflags patch as actually this is not fixed

* Sun Jul 17 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.1-3
- Bring back the cflags patch as actually this is not fixed

* Sat Jul 16 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.1-2
- Add new patch and remove an old one

* Sat Jul 16 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.1-1
- Fix crash in  (#722686) Remove cflags patch, fixed upstream Remove sed
  hack for pod2man now that it does understand the -u option Remove fix for
  the icon in the desktop file as it's now upstream, too

* Sun Mar 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.0-3
- Add review #

* Sat Feb 12 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.0-2
- Adjust BuildRequires

* Sat Feb 12 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 2.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-2
- dist-git conversion

* Fri Jun 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.8-1
- Update to 2.3.8

* Wed Apr 07 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.7-1
- Update to 2.3.7

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 2.3.3-5
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.3-3
- Rebuilt for libvte SONAME bump

* Tue Apr 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.3-2
- fix trivial typo

* Tue Apr 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.3-1
- Initial import of sakura. Review was at
  https://bugzilla.redhat.com/show_bug.cgi?id=496166
## END: Generated by rpmautospec
